<?xml version="1.0" encoding="utf-16"?>
<MyMPConfig xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <!-- Global information for this movie provider -->
      <Name>
       Allocine.fr
      </Name>
      <HomePage>
       www.allocine.fr
      </HomePage>
      <Language>
       French
      </Language>
      <Version>0.2</Version>
      <!-- Indicates support for data retrieval -->
      <SupportsCastAndDirector>
       true
      </SupportsCastAndDirector>
      <SupportsCover>
       true
      </SupportsCover>
      <SupportsPlot>
       true
      </SupportsPlot>
      <SupportsRating>
       false
      </SupportsRating>
      <!-- List of urls to search for movie (you can set only one or add as many as you want) -->
      <!-- Enabled = true or false (allow to temporarely disable an url without remove from configuration file) -->
      <!-- Url = {0} will be replaced by the title of the movie  -->
      <!-- RegExp = regular expression used to parse result list, should return 'link' and 'title' within one regexp -->
      <!-- MoviePlotLink = will try to get plot of the movie from those urls (in that particular order), and will stop as soon as it gets one -->
      <!--                 should at least contains one value. -->
      <!-- MaxResult = will stop movie retrieval with this url after it finds this number of movie -->
      <!-- NextPage = reserved (leave empty for now) -->
      <SearchUrls>
        <Search>
          <Enabled>true</Enabled>
          <Url>http://www.allocine.fr/recherche/1/?q={0}&amp;p={1}</Url>
          <!--<RegExp>&lt;div style="margin-top:-5px;"&gt;[\s\t\r\n\v\f]*?&lt;a\shref='(?&lt;Link&gt;/film/fichefilm_gen_cfilm=.*?)'&gt;[\s\t\r\n\v\f]*?(?&lt;Title&gt;.*?)&lt;/a&gt;[\s\t\r\n\v\f]*?(?&lt;Original&gt;.*?)&lt;</RegExp>-->
	  <RegExp>&lt;a\shref='(?&lt;Link&gt;/film/fichefilm_gen_cfilm=.*?)'&gt;[\s\t\r\n\v\f]*?(?&lt;Title&gt;.*?)&lt;/a&gt;[\s\t\r\n\v\f]*?(?&lt;Original&gt;.*?)[\s\t\r\n\v\f]*?&lt;br /&gt;</RegExp>
          <MoviePlotLink>
            <string>http://www.allocine.fr/{0}</string>
          </MoviePlotLink>
          <MaxResult>10</MaxResult>
          <NextPage>"&lt;li class="navnextbtn"&gt;[\s\t\r\n\v\f]*?&lt;a href="/recherche/1/?p="</NextPage>
        </Search>
      </SearchUrls>
      <!-- MaxResult = global limitation for number of movie results -->
      <MaxResult>10</MaxResult>
      <!-- Regular expressions to find Title, Original Title, Year and Runtime -->
      <RegExp_Title>title&gt;[\s\t\r\n\v\f]*?(?&lt;1&gt;.*?)\s\(.*?\)\s-\sAlloCiné</RegExp_Title>
      <RegExp_OriginalTitle>Titre\soriginal\s:\s&lt;span\sclass="purehtml"&gt;&lt;em&gt;(?&lt;1&gt;.*?)&lt;/em&gt;&lt;/span&gt;</RegExp_OriginalTitle>
      <RegExp_Year>Année\sde\sproduction.*?[\s\t\r\n\v\f]*?&lt;a\shref='.*?'&gt;(?&lt;1&gt;.*?)&lt;/a&gt;</RegExp_Year>
      <RegExp_Runtime>Durée.*[\s\t\r\n\v\f]*?[\s\t\r\n\v\f](?&lt;1&gt;.*?)\s?min</RegExp_Runtime>
      <!-- Regular expressions to look for plot -->
      <!-- options allow to remove specials characters before using regexp -->
      <ReplaceLFbySpaceBeforeRegExpPlot>true</ReplaceLFbySpaceBeforeRegExpPlot>
      <ReplaceCRbySpaceBeforeRegExpPlot>true</ReplaceCRbySpaceBeforeRegExpPlot>
      <ReplaceTBbySpaceBeforeRegExpPlot>true</ReplaceTBbySpaceBeforeRegExpPlot>
      <RegExp_Plot>Synopsis\s:\s&lt;/span?&gt;(?&lt;1&gt;(?:.|[\t\r\v\n\f])*?)&lt;/p&gt;</RegExp_Plot>
      <!-- Regular expressions to look for genres, directors and actors -->
      <!--<RegExp_Genres>Genre\s:[\s\t\r\n\v\f]*?&lt;a\shref.*?&gt;(?&lt;1&gt;.*?)&lt;/a</RegExp_Genres>-->
      <Genres_MultipleMatches>true</Genres_MultipleMatches>
      <Genres_Separator>,</Genres_Separator>
      <RegExp_Genres>&lt;a\shref='/film/tous/genre-.*?&gt;(?&lt;1&gt;.*?)&lt;/a&gt;</RegExp_Genres>
      <RegExp_Directors>Réalisé\spar[\s\t\r\n\v\f]*?&lt;span.*?&gt;&lt;a\shref.*?&gt;(?&lt;1&gt;.*?)&lt;/a</RegExp_Directors>
      <Actors_MultipleMatches>true</Actors_MultipleMatches>
      <Actors_Separator>,</Actors_Separator>
      <RegExp_Actors>&lt;a\shref='/personne/fichepersonne_gen_cpersonne.*?&gt;(?&lt;1&gt;.*?)&lt;/a&gt;,\s</RegExp_Actors>
      <!-- Regular expressions to look for cover -->
      <!-- RegExp_CoverLinkFront = regexp used on movie page -->
      <!-- RegExp_CoverUrl = used to look for a "galery" url on movie page -->
      <!-- RegExp_HowGotoCoverUrl = regexp to construct and follow "galery" link -->
      <!-- RegExp_CoverLinkFront2 = regexp to extract cover link from "galery" page -->
      <RegExp_CoverLinkFront>(?&lt;1&gt;http://images.allocine.fr/r_160_214/.*/medias/nmedia/.*?)'</RegExp_CoverLinkFront>
      <!--<RegExp_CoverUrl></RegExp_CoverUrl>-->
      <!--<RegExp_HowGotoCoverUrl></RegExp_HowGotoCoverUrl>-->
      <!--<RegExp_CoverLinkFront2></RegExp_CoverLinkFront2>-->
    <!-- this one grab cover from "affiches" page, but picture was smaller (80x80) instead of (160x214)-->
      <Cover_MultipleMatches>true</Cover_MultipleMatches>
      <RegExp_CoverUrl>&lt;a\shref="/film/fichefilm-(?&lt;1&gt;.*?)/affiches/"&gt;Affiches&lt;/a&gt;</RegExp_CoverUrl>
      <RegExp_HowGotoCoverUrl>http://www.allocine.fr/film/fichefilm-{0}/affiches/</RegExp_HowGotoCoverUrl>
      <RegExp_CoverLinkFront2>(?&lt;1&gt;http://images.allocine.fr/c_80_80/b_1_x/medias/nmedia/.*?)"</RegExp_CoverLinkFront2>
      <!-- Regular expressions to find Rating, it stops after it finds one non empty result (done in that order) -->
      <RegExp_Rating />
      <!-- Encoding used to send Title, and to read HTML pages -->
      <TitleEncoding>utf-8</TitleEncoding>
      <ContentEncoding>utf-8</ContentEncoding>
      <Debug>false</Debug>
</MyMPConfig>